package com.springjpa.repo;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import com.springjpa.model.School;



public interface SchoolRepository extends CrudRepository<School, Long>{
		
		List<School> findByName(String name);
		
		public List<School> findAll();

		@Query("SELECT t FROM School t WHERE t.id = :id")
		public School findOne(@Param("id") long id);
			
		
//		@Query("SELECT ts FROM TownShip ts WHERE ts.county.id = :id")
//		/** A megyéhez tartozó összes járás
//		 * @param id
//		 * @return
//		 */
//		public School findAllForCounty(@Param("id") long id);	
	

}
