package com.springjpa.io;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;


public class AddressForm {

//    @NotNull
    //innen: http://forum.spring.io/forum/spring-projects/roo/65364-roo-jsr-303-validations-and-localization
//    @Size(min=2, max=5, message="A beírás hossza minimum {min}, maximum {max} karakter, mint pl. XII vagy 1124")
    protected String county;

    @NotNull
    @Size(min=3, max=30, message="A település nevét kell beírni, aminek hossza minimum {min}, maximum {max} karakter, mint pl. Mohács")
    protected String city;
    
    


    /** A beírtakról levágjuk a felesleges space-eket.
     * 
     */
    public void normalize() {
    	if (city != null) city = city.trim();
    }
    
    public String getCounty() {
		return county;
	}

	public void setCounty(String county) {
		this.county = county;
	}



	public String getCity() {
		return city;
	}



	public void setCity(String city) {
		this.city = city;
	}





	
	public String toString() {
        return this.city + ", " + this.county;
    }
}